Package de.geolykt.starloader.deobf

# Interface StackWalker.StackWalkerConsumer

Enclosing class:
  StackWalker

public static interface StackWalker.StackWalkerConsumer

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `endMethod()`
  Method that is invoked when the Stack walker finished walking over all instructions.
  `void`
  `postCalculation(org.objectweb.asm.tree.AbstractInsnNode instruction, LIFOQueue<StackElement> stack)`
  Method that is invoked after the effect of a given instruction on the stack is calculated.
  `void`
  `preCalculation(org.objectweb.asm.tree.AbstractInsnNode instruction, LIFOQueue<StackElement> stack)`
  Method that is invoked before the effect of a given instruction on the stack is calculated.

- ## Method Details

  - ### preCalculation

    void preCalculation(org.objectweb.asm.tree.AbstractInsnNode instruction, LIFOQueue<StackElement> stack)
    Method that is invoked before the effect of a given instruction on the stack is calculated. This method is also invoked for pseudo-instructions such as `FrameNode`, `LineNumberNode` or `LabelNode`. The "stack" argument is mutable and but should NOT be mutated as otherwise the stack might get invalid as it is backed by the real stack due to performance concerns.
    Parameters:
      `instruction` - The current instruction
      `stack` - The stack as it was before the instruction

  - ### postCalculation

    void postCalculation(org.objectweb.asm.tree.AbstractInsnNode instruction, LIFOQueue<StackElement> stack)
    Method that is invoked after the effect of a given instruction on the stack is calculated. This method is also invoked for pseudo-instructions such as `FrameNode`, `LineNumberNode` or `LabelNode`. The "stack" argument is mutable and but should NOT be mutated as otherwise the stack might get invalid as it is backed by the real stack due to performance concerns.
    Parameters:
      `instruction` - The current instruction
      `stack` - The stack as it is after the instruction

  - ### endMethod

    default void endMethod()
    Method that is invoked when the Stack walker finished walking over all instructions.